Bug 478812 - Size of Maximum allocation for memory should not exceed the total memory on host
Size of Maximum allocation for memory should not exceed the total memory on host
Status: CLOSED NOTABUG
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 03:18 EST by Yolkfull Chow
Modified: 2010-03-16 13:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 14:11:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of this problem (52.77 KB, image/png)
2009-01-05 03:18 EST, Yolkfull Chow
no flags Details

  None (edit)
Description Yolkfull Chow 2009-01-05 03:18:33 EST
Created attachment 328177 [details]
screen shot of this problem

Description of problem:
In virt-manager->hardware->Memory, user could allocate a size of Maximum exceed that total memory on host which should not be I think. 

Version-Release number of selected component (if applicable):
0.96

How reproducible:
Everytime

Steps to Reproduce:
1. launch virt-manager
2. go to "Hardware"->Memory, try to increase the size of Maximum allocation exceed the total memory below
3.
  
Actual results:
The size could be increased without a stop.

Expected results:
The size should be only allocated by the size of total memory on host.

Additional info:
Comment 1 Daniel Berrange 2009-01-05 06:06:56 EST
This is not so clear-cut. KVM allows  overcommit of memory, and only pages in RAM when it is actually accessed by a guest. So you can trivially boot a guest with more RAM than is available in the host. It is wise to make sure there is enough SWAP space in the host to cope with this overcommit, but we shouldn't deny overcommit in virt-manager IMHO.
Comment 2 Cole Robinson 2009-11-16 14:11:27 EST
Closing as NOTABUG as per comment #1.

Note You need to log in before you can comment on or make changes to this bug.